#include "domain/BaseStrategy.h"

class Controller {
private:
  static Controller _instance;
  BaseStrategy* _strategy;

  Controller();
  Controller(Controller const&) = delete;
  void operator=(Controller const&) = delete;
  ~Controller();

public:
  static Controller& getInstance();
  void setStrategy(BaseStrategy* strategy);
  void process();
};